Attribute VB_Name = "AxiohmIncludes"
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *
Rem * Axiohm.bas
Rem *
Rem *   Includes all of the Axiohm added .BAS include files.
Rem *
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////


Rem *///////////////////////////////////////////////////////////////////
Rem * Axiohm DirectIO Command Numbers
Rem *///////////////////////////////////////////////////////////////////

Public Const AXIOHM_MICR_EXCEPTION& = &H3E8           'MICR Exception command

Public Const AX_SLIP_JRN_CONCURRENT& = &H50A0         'Command to turn on and off concurrent slip and jrnl printing
Public Const AX_STOP_PRINT_ON_PAPER_LOW& = &H50A1     'Command to set/unset StopPrintOnPaperLow

Public Const AX_DOWNLOADED_BITIMAGE_DENSITY& = &H50A2 'Command to change the value of m_DownloadedBitImageDensity
Public Const CODE128_CHECK_INCLUDED& = &H50A3         'Command to change the value of m_Code128CheckIncl

Public Const AXIOHM_EXECUTE_CHECK_FLIP& = &H50A4      'Command to Flip the document in the slip station
Public Const AX_DOWNLOAD_BITIMAGE_TO_FLASH& = &H50A5  'Command to change choice of Download location for bitmaps

Rem *///////////////////////////////////////////////////////////////////
Rem * Axiohm Specific Numbers
Rem *///////////////////////////////////////////////////////////////////

Public Const AXIOHM_KATAKANA& = 199        ' Katakana Character set A714
Public Const AXIOHM_KANJI& = 198           ' Kanji Character Set A756-8xxx

Rem *///////////////////////////////////////////////////////////////////
Rem * AXIOHM Flash Defines for Use in DirectIO
Rem *///////////////////////////////////////////////////////////////////

Public Const AX_ERASE_CHARLOGO_FLASH& = &HFD1     'Erase Character Set/Logo Flash area
Public Const AX_ERASE_USERDATA_FLASH& = &HFD2     'Erase User Data Flash Area

Public Const AX_LOAD_CHARS_TO_RAM& = &H8CA        'Load Character Set into RAM
Public Const AX_LOAD_CHARS_TO_FLASH& = &H8CB       'Load Character Set into Flash

Public Const AX_WRITE_TO_USERDATA& = &HAB3        'Write to User Data Flash Area
Public Const AX_READ_FROM_USERDATA& = &HAC0       'Read from User Data Flash Area

Public Const TRANSMIT_FLASH_STATUS& = &HAD7        'Transmit the flash status

Rem *///////////////////////////////////////////////////////////////////
Rem * Axiohm DirectIO Command Defines for Remote Diagnostics
Rem *///////////////////////////////////////////////////////////////////

Public Const AXIOHM_REMOTE_DIAG& = &H134C          'Command to Request Remote Diagnostics

Rem *********************************************************************
Rem * Defines for DirectIO parameter pData -> Remote Diagnostic
Rem * commands defined - GS I @ n.  This define in pData will send the defined command

Public Const SERIALNO_WRITETO_NVRAM& = &H4020          ' GS I @ <SP> - Serial #, Write to NVRAM
Public Const SERIALNO_TONVRAM_RCPTVER& = &H4021        ' GS I @ !    - Serial #, Write to NVRAM, print on rcpt to verify
Public Const SERIALNO_RETURN& = &H4023                 ' GS I @ #    - Return Serial #

Public Const CLASS_MODELNO_WRITETO_NVRAM& = &H4024     ' GS I @ $    - Class/Model #, Write to NVRAM
Public Const CLASS_MODELNO_TONVRAM_RCPTVER& = &H4025   ' GS I @ %    - Class/Model #, Write to NVRAM, print on rcpt to verify
Public Const CLASS_MODELNO_RETURN& = &H4027            ' GS I @ '    - Return Class/Model #

Public Const BOOT_FIRMWARE_PARTNO_RETURN& = &H402B     ' GS I @ +    - Return Boot Firmware Part #
Public Const BOOT_FIRMWARE_CRC_RETURN& = &H402F        ' GS I @ /    - Return Boot Firmware CRC

Public Const FLASH_FIRMWARE_PARTNO_RETURN& = &H4033    ' GS I @ 3    - Return Flash Firmware Part #
Public Const FLASH_FIRMWARE_CRC_RETURN& = &H4037       ' GS I @ 7    - Return Flash Firmware CRC

Public Const RECLINES_TALLY_WRITETO_NVRAM& = &H4080    ' GS I @ 80H  - Set RecLines Tally, Write to NVRAM
Public Const RECLINES_TALLY_TONVRAM_RCPTVER& = &H4081  ' GS I @ 81H  - Set RecLines Tally, print to rcpt to verify
Public Const RECLINES_TALLY_CLEAR& = &H4082            ' GS I @ 82H  - Clear RecLines Tally, set to 0
Public Const RECLINES_TALLY_RETURN& = &H4083           ' GS I @ 83H  - Return RecLines Tally

Public Const KNIFECUT_TALLY_WRITETO_NVRAM& = &H4084    ' GS I @ 84H  - Set Knifecut Tally, Write to NVRAM
Public Const KNIFECUT_TALLY_TONVRAM_RCPTVER& = &H4085  ' GS I @ 85H  - Set Knifecut Tally, print to rcpt to verify
Public Const KNIFECUT_TALLY_CLEAR& = &H4086            ' GS I @ 86H  - Clear Knifecut Tally, set to 0
Public Const KNIFECUT_TALLY_RETURN& = &H4087           ' GS I @ 87H  - Return Knifecut Tally

Public Const SLIPCHAR_TALLY_WRITETO_NVRAM& = &H4088    ' GS I @ 88H  - Set Slipchar Tally, Write to NVRAM
Public Const SLIPCHAR_TALLY_TONVRAM_RCPTVER& = &H4089  ' GS I @ 89H  - Set Slipchar Tally, print to rcpt to verify
Public Const SLIPCHAR_TALLY_CLEAR& = &H408A            ' GS I @ 8AH  - Clear Slipchar Tally, set to 0
Public Const SLIPCHAR_TALLY_RETURN& = &H408B           ' GS I @ 8BH  - Return Slipchar Tally

Public Const MICRREAD_TALLY_WRITETO_NVRAM& = &H408C    ' GS I @ 8CH  - Set MicrRead Tally, Write to NVRAM
Public Const MICRREAD_TALLY_TONVRAM_RCPTVER& = &H408D  ' GS I @ 8DH  - Set MicrRead Tally, print to rcpt to verify
Public Const MICRREAD_TALLY_CLEAR& = &H408E            ' GS I @ 8EH  - Clear MicrRead Tally, set to 0
Public Const MICRREAD_TALLY_RETURN& = &H408F           ' GS I @ 8FH  - Return MicrRead Tally

Public Const HOURS_ON_TALLY_WRITETO_NVRAM& = &H4090    ' GS I @ 90H  - Set Hours on Tally, Write to NVRAM
Public Const HOURS_ON_TALLY_TONVRAM_RCPTVER& = &H4091  ' GS I @ 91H  - Set Hours on Tally, print to rcpt to verify
Public Const HOURS_ON_TALLY_CLEAR& = &H4092            ' GS I @ 92H  - Clear Hours on Tally, set to 0
Public Const HOURS_ON_TALLY_RETURN& = &H4093           ' GS I @ 93H  - Return Hours on Tally

Public Const BOOT_FIRMWARE_VERSION_RETURN& = &H4097        ' GS I @ 97H  - Return Boot Firmware Version number
    
Public Const FLASH_FIRMWARE_VERSION_RETURN& = &H40A3       ' GS I @ A3H  - Return Flash Firmware Version number
    
Public Const FLASHCYCLES_TALLY_WRITETO_NVRAM& = &H40A4     ' GS I @ A4H  - Set FlashCycles Tally, Write to NVRAM
Public Const FLASHCYCLES_TALLY_TONVRAM_RCPTVER& = &H40A5   ' GS I @ A5H  - Set FlashCycles Tally, print to rcpt to verify
Public Const FLASHCYCLES_TALLY_CLEAR& = &H40A6             ' GS I @ A6H  - Clear FlashCycles Tally, set to 0
Public Const FLASHCYCLES_TALLY_RETURN& = &H40A7            ' GS I @ A7H  - Return FlashCycles Tally

Public Const KNIFEJAMS_TALLY_WRITETO_NVRAM& = &H40A8       ' GS I @ A8H  - Set KnifeJams Tally, Write to NVRAM
Public Const KNIFEJAMS_TALLY_TONVRAM_RCPTVER& = &H40A9     ' GS I @ A9H  - Set KnifeJams Tally, print to rcpt to verify
Public Const KNIFEJAMS_TALLY_CLEAR& = &H40AA               ' GS I @ AAH  - Clear KnifeJams Tally, set to 0
Public Const KNIFEJAMS_TALLY_RETURN& = &H40AB              ' GS I @ ABH  - Return KnifeJams Tally

Public Const COVEROPENINGS_TALLY_WRITETO_NVRAM& = &H40AC   ' GS I @ ACH  - Set CoverOpenings Tally, Write to NVRAM
Public Const COVEROPENINGS_TALLY_TONVRAM_RCPTVER& = &H40AD ' GS I @ ADH  - Set CoverOpenings Tally, print to rcpt to verify
Public Const COVEROPENINGS_TALLY_CLEAR& = &H40AE           ' GS I @ AEH  - Clear CoverOpenings Tally, set to 0
Public Const COVEROPENINGS_TALLY_RETURN& = &H40AF          ' GS I @ AFH  - Return CoverOpenings Tally

Public Const MAX_TEMPERATURE_TALLY_RETURN& = &H40B3        ' GS I @ B3H  - Return MaxTemperature Tally

Public Const SLIP_LINES_TALLY_WRITETO_NVRAM& = &H40B4      ' GS I @ B4H  - Set SlipLinesTally, Write to NVRAM
Public Const SLIP_LINES_TALLY_TONVRAM_RCPTVER& = &H40B5    ' GS I @ B5H  - Set SlipLinesTally, Print to rcpt to verify
Public Const SLIP_LINES_TALLY_CLEAR& = &H40B6              ' GS I @ B6H  - Clear SlipLinesTally, set to 0
Public Const SLIP_LINES_TALLY_RETURN& = &H40B7             ' GS I @ B7H  - Return SlipLines Tally

Public Const AX_SET_PAPERTYPE& = &H40C0                    ' GS 0x81 m n - Set Paper Type (ColorPOS)
Public Const AX_TOGGLE_WATERMARK& = &H40C2
Public Const AX_DEFINE_WATERMARK& = &H40C1
Rem *///////////////////////////////////////////////////////////////////
Rem * Axiohm Specific Returns for ResultCodeExtended in Micr ErrorEvents
Rem *///////////////////////////////////////////////////////////////////

Public Const AXIOHM_BADREAD_DATA& = 1
Public Const AXIOHM_NOCHECK_NODATA& = 2
Public Const AXIOHM_PAPERJAM_NODATA& = 3
Public Const AXIOHM_NOCHARS_NODATA& = 4
Public Const AXIOHM_KNIFE_SLIP_JAM& = 5
Public Const AXIOHM_SLIP_MOTOR_JAM& = 6
Public Const AXIOHM_KNIFE_ERROR& = 7
Public Const AXIOHM_FATAL_ERROR& = 49
Public Const AXIOHM_UNKNOWN_ERROR& = 50

'*********************************************************************
'       Axiohm Specific Returns for ResultCodeExtended in OPEN()
'*********************************************************************

Public Const AXIOHM_REGQUERY_COM_ERROR& = &H1000        ' Error querying registry for a specific com setting
Public Const AXIOHM_REG_QUERY_ERROR& = &H1001           ' Error querying registry for a necessary value other than com
Public Const AXIOHM_INVALID_PORT& = &H1002              ' Com port specified is not a legal value
Public Const AXIOHM_INVALID_BAUDRATE& = &H1003          ' Baudrate specified is not supported
Public Const AXIOHM_INVALID_PARITY& = &H1004            ' Parity specified is not supported
Public Const AXIOHM_INVALID_PROTOCOL& = &H1005          ' Communications protocol is not supported or is invalid
Public Const AXIOHM_RECEIVEBUFF_ERROR& = &H1006         ' Receive buffer is too small or non-existent

'*********************************************************************
'       Axiohm Specific Returns for ResultCodeExtended When Using Flash
'*********************************************************************

Public Const AXIOHM_FLASH_LOGOAREA_FULL& = &H2000       ' Logo failed because Flash area is full
Public Const AXIOHM_FLASH_CHARAREA_FULL& = &H2001       ' Character load failed because Flash area is full
Public Const AXIOHM_RAM_LOGOAREA_FULL& = &H2002         ' Logo load failed because RAM area is full

Rem *///////////////////////////////////////////////////////////////////
Rem * End of Axiohm.bas
