REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *
REM * OPOSALL.BAS
REM *
REM *   Includes all OPOS Device Classes.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 96-03-18 OPOS Release 1.01                                    CRM
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM * 98-03-06 OPOS Release 1.3                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////



REM *///////////////////////////////////////////////////////////////////
REM *
REM * Opos.h
REM *
REM *   General header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add OPOS_FOREVER.
REM *   Add BinaryConversion values.
REM * 98-03-06 OPOS Release 1.3                                     CRM
REM *   Add CapPowerReporting, PowerState, and PowerNotify values.
REM *   Add power reporting values for StatusUpdateEvent.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "State" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposSClosed&              = 1
Public Const OposSIdle&                = 2
Public Const OposSBusy&                = 3
Public Const OposSError&               = 4


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "ResultCode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const Oposerr&                  = 100
Public Const Oposerrext&               = 200

Public Const OposSuccess&              =  0
Public Const OposEClosed&              =  1 + Oposerr
Public Const OposEClaimed&             =  2 + Oposerr
Public Const OposENotclaimed&          =  3 + Oposerr
Public Const OposENoservice&           =  4 + Oposerr
Public Const OposEDisabled&            =  5 + Oposerr
Public Const OposEIllegal&             =  6 + Oposerr
Public Const OposENohardware&          =  7 + Oposerr
Public Const OposEOffline&             =  8 + Oposerr
Public Const OposENoexist&             =  9 + Oposerr
Public Const OposEExists&              = 10 + Oposerr
Public Const OposEFailure&             = 11 + Oposerr
Public Const OposETimeout&             = 12 + Oposerr
Public Const OposEBusy&                = 13 + Oposerr
Public Const OposEExtended&            = 14 + Oposerr


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "BinaryConversion" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposBcNone&               = 0
Public Const OposBcNibble&             = 1
Public Const OposBcDecimal&            = 2


REM *///////////////////////////////////////////////////////////////////
REM * "CheckHealth" Method: "Level" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposChInternal&           = 1
Public Const OposChExternal&           = 2
Public Const OposChInteractive&        = 3


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "CapPowerReporting", "PowerState", "PowerNotify" Property
REM *   Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposPrNone&               = 0
Public Const OposPrStandard&           = 1
Public Const OposPrAdvanced&           = 2

Public Const OposPnDisabled&           = 0
Public Const OposPnEnabled&            = 1

Public Const OposPsUnknown&            = 2000
Public Const OposPsOnline&             = 2001
Public Const OposPsOff&                = 2002
Public Const OposPsOffline&            = 2003
Public Const OposPsOffOffline&         = 2004


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ErrorLocus" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposElOutput&             = 1
Public Const OposElInput&              = 2
Public Const OposElInputData&          = 3


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ErrorResponse" Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposErRetry&              = 11
Public Const OposErClear&              = 12
Public Const OposErContinueinput&      = 13


REM *///////////////////////////////////////////////////////////////////
REM * "StatusUpdateEvent" Event: Common "Status" Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposSuePowerOnline&       = 2001
Public Const OposSuePowerOff&          = 2002
Public Const OposSuePowerOffline&      = 2003
Public Const OposSuePowerOffOffline&   = 2004


REM *///////////////////////////////////////////////////////////////////
REM * General Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposForever&              = -1



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposBb.h
REM *
REM *   Bump Bar header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 98-03-06 OPOS Release 1.3                                     BB
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CurrentUnitID" and "UnitsOnline" Properties
REM *  and "Units" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const BbUid1&                   = &H00000001
Public Const BbUid2&                   = &H00000002
Public Const BbUid3&                   = &H00000004
Public Const BbUid4&                   = &H00000008
Public Const BbUid5&                   = &H00000010
Public Const BbUid6&                   = &H00000020
Public Const BbUid7&                   = &H00000040
Public Const BbUid8&                   = &H00000080
Public Const BbUid9&                   = &H00000100
Public Const BbUid10&                  = &H00000200
Public Const BbUid11&                  = &H00000400
Public Const BbUid12&                  = &H00000800
Public Const BbUid13&                  = &H00001000
Public Const BbUid14&                  = &H00002000
Public Const BbUid15&                  = &H00004000
Public Const BbUid16&                  = &H00008000
Public Const BbUid17&                  = &H00010000
Public Const BbUid18&                  = &H00020000
Public Const BbUid19&                  = &H00040000
Public Const BbUid20&                  = &H00080000
Public Const BbUid21&                  = &H00100000
Public Const BbUid22&                  = &H00200000
Public Const BbUid23&                  = &H00400000
Public Const BbUid24&                  = &H00800000
Public Const BbUid25&                  = &H01000000
Public Const BbUid26&                  = &H02000000
Public Const BbUid27&                  = &H04000000
Public Const BbUid28&                  = &H08000000
Public Const BbUid29&                  = &H10000000
Public Const BbUid30&                  = &H20000000
Public Const BbUid31&                  = &H40000000
Public Const BbUid32&                  = &H80000000


REM *///////////////////////////////////////////////////////////////////
REM * "DataEvent" Event: "Status" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const BbDeKey&                  = &H01



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposCash.h
REM *
REM *   Cash Drawer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 98-03-06 OPOS Release 1.3                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "StatusUpdateEvent" Event Constants
REM *///////////////////////////////////////////////////////////////////

Public Const CashSueDrawerclosed&      = 0
Public Const CashSueDraweropen&        = 1



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposChan.h
REM *
REM *   Cash Changer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "DeviceStatus" and "FullStatus" Property Constants
REM * "StatusUpdateEvent" Event Constants
REM *///////////////////////////////////////////////////////////////////

Public Const ChanStatusOk&             =  0            ' DeviceStatus, FullStatus

Public Const ChanStatusEmpty&          = 11            ' DeviceStatus, StatusUpdateEvent
Public Const ChanStatusNearempty&      = 12            ' DeviceStatus, StatusUpdateEvent
Public Const ChanStatusEmptyok&        = 13            ' StatusUpdateEvent

Public Const ChanStatusFull&           = 21            ' FullStatus, StatusUpdateEvent
Public Const ChanStatusNearfull&       = 22            ' FullStatus, StatusUpdateEvent
Public Const ChanStatusFullok&         = 23            ' StatusUpdateEvent

Public Const ChanStatusJam&            = 31            ' DeviceStatus, StatusUpdateEvent
Public Const ChanStatusJamok&          = 32            ' StatusUpdateEvent

Public Const ChanStatusAsync&          = 91            ' StatusUpdateEvent


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Cash Changer
REM *///////////////////////////////////////////////////////////////////

Public Const OposEchanOverdispense&    = 1 + Oposerrext



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposCoin.h
REM *
REM *   Coin Dispenser header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "DispenserStatus" Property Constants
REM * "StatusUpdateEvent" Event: "Data" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const CoinStatusOk&             = 1
Public Const CoinStatusEmpty&          = 2
Public Const CoinStatusNearempty&      = 3
Public Const CoinStatusJam&            = 4



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposDisp.h
REM *
REM *   Line Display header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 96-03-18 OPOS Release 1.01                                    CRM
REM *   Add DISP_MT_INIT constant and MarqueeFormat constants.
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM *   Add CapCharacterSet values for Kana and Kanji.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CapBlink" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispCbNoblink&            = 0
Public Const DispCbBlinkall&           = 1
Public Const DispCbBlinkeach&          = 2


REM *///////////////////////////////////////////////////////////////////
REM * "CapCharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispCcsNumeric&           =   0
Public Const DispCcsAlpha&             =   1
Public Const DispCcsAscii&             = 998
Public Const DispCcsKana&              =  10
Public Const DispCcsKanji&             =  11


REM *///////////////////////////////////////////////////////////////////
REM * "CharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispCsAscii&              = 998
Public Const DispCsWindows&            = 999


REM *///////////////////////////////////////////////////////////////////
REM * "MarqueeType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispMtNone&               = 0
Public Const DispMtUp&                 = 1
Public Const DispMtDown&               = 2
Public Const DispMtLeft&               = 3
Public Const DispMtRight&              = 4
Public Const DispMtInit&               = 5


REM *///////////////////////////////////////////////////////////////////
REM * "MarqueeFormat" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispMfWalk&               = 0
Public Const DispMfPlace&              = 1


REM *///////////////////////////////////////////////////////////////////
REM * "DisplayText" Method: "Attribute" Property Constants
REM * "DisplayTextAt" Method: "Attribute" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispDtNormal&             = 0
Public Const DispDtBlink&              = 1


REM *///////////////////////////////////////////////////////////////////
REM * "ScrollText" Method: "Direction" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispStUp&                 = 1
Public Const DispStDown&               = 2
Public Const DispStLeft&               = 3
Public Const DispStRight&              = 4


REM *///////////////////////////////////////////////////////////////////
REM * "SetDescriptor" Method: "Attribute" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DispSdOff&                = 0
Public Const DispSdOn&                 = 1
Public Const DispSdBlink&              = 2



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposFptr.h
REM *
REM *   Fiscal Printer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 98-03-06 OPOS Release 1.3                                     PDU
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * Fiscal Printer Station Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrSJournal&             = 1
Public Const FptrSReceipt&             = 2
Public Const FptrSSlip&                = 4

Public Const FptrSJournalReceipt&      = FptrSJournal OR FptrSReceipt


REM *///////////////////////////////////////////////////////////////////
REM * "CountryCode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrCcBrazil&             =  1
Public Const FptrCcGreece&             =  2
Public Const FptrCcHungary&            =  3
Public Const FptrCcItaly&              =  4
Public Const FptrCcPoland&             =  5
Public Const FptrCcTurkey&             =  6


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorLevel" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrElNone&               =  1
Public Const FptrElRecoverable&        =  2
Public Const FptrElFatal&              =  3
Public Const FptrElBlocked&            =  4


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorState", "PrinterState" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrPsMonitor&            =  1
Public Const FptrPsFiscalReceipt&      =  2
Public Const FptrPsFiscalReceiptTotal& =  3
Public Const FptrPsFiscalReceiptEnding& =  4
Public Const FptrPsFiscalDocument&     =  5
Public Const FptrPsFixedOutput&        =  6
Public Const FptrPsItemList&           =  7
Public Const FptrPsLocked&             =  8
Public Const FptrPsNonfiscal&          =  9
Public Const FptrPsReport&             = 10


REM *///////////////////////////////////////////////////////////////////
REM * "SlipSelection" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrSsFullLength&         =  1
Public Const FptrSsValidation&         =  2


REM *///////////////////////////////////////////////////////////////////
REM * "GetData" Method Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrGdCurrentTotal&       =  1
Public Const FptrGdDailyTotal&         =  2
Public Const FptrGdReceiptNumber&      =  3
Public Const FptrGdRefund&             =  4
Public Const FptrGdNotPaid&            =  5
Public Const FptrGdMidVoid&            =  6
Public Const FptrGdZReport&            =  7
Public Const FptrGdGrandTotal&         =  8
Public Const FptrGdPrinterId&          =  9
Public Const FptrGdFirmware&           = 10
Public Const FptrGdRestart&            = 11


REM *///////////////////////////////////////////////////////////////////
REM * "AdjustmentType" arguments in diverse methods
REM *///////////////////////////////////////////////////////////////////

Public Const FptrAtAmountDiscount&     =  1
Public Const FptrAtAmountSurcharge&    =  2
Public Const FptrAtPercentageDiscount& =  3
Public Const FptrAtPercentageSurcharge& =  4


REM *///////////////////////////////////////////////////////////////////
REM * "ReportType" argument in "PrintReport" method
REM *///////////////////////////////////////////////////////////////////

Public Const FptrRtOrdinal&            =  1
Public Const FptrRtDate&               =  2


REM *///////////////////////////////////////////////////////////////////
REM * "StatusUpdateEvent" Event: "Data" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const FptrSueCoverOpen&         =  11
Public Const FptrSueCoverOk&           =  12

Public Const FptrSueJrnEmpty&          =  21
Public Const FptrSueJrnNearempty&      =  22
Public Const FptrSueJrnPaperok&        =  23

Public Const FptrSueRecEmpty&          =  24
Public Const FptrSueRecNearempty&      =  25
Public Const FptrSueRecPaperok&        =  26

Public Const FptrSueSlpEmpty&          =  27
Public Const FptrSueSlpNearempty&      =  28
Public Const FptrSueSlpPaperok&        =  29

Public Const FptrSueIdle&              =1001


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Fiscal Printer
REM *///////////////////////////////////////////////////////////////////

Public Const OposEfptrCoverOpen&       =  1 + Oposerrext ' (Several)
Public Const OposEfptrJrnEmpty&        =  2 + Oposerrext ' (Several)
Public Const OposEfptrRecEmpty&        =  3 + Oposerrext ' (Several)
Public Const OposEfptrSlpEmpty&        =  4 + Oposerrext ' (Several)
Public Const OposEfptrSlpForm&         =  5 + Oposerrext ' EndRemoval
Public Const OposEfptrMissingDevices&  =  6 + Oposerrext ' (Several)
Public Const OposEfptrWrongState&      =  7 + Oposerrext ' (Several)
Public Const OposEfptrTechnicalAssistance& =  8 + Oposerrext ' (Several)
Public Const OposEfptrClockError&      =  9 + Oposerrext ' (Several)
Public Const OposEfptrFiscalMemoryFull& = 10 + Oposerrext ' (Several)
Public Const OposEfptrFiscalMemoryDisconnected& = 11 + Oposerrext ' (Several)
Public Const OposEfptrFiscalTotalsError& = 12 + Oposerrext ' (Several)
Public Const OposEfptrBadItemQuantity& = 13 + Oposerrext ' (Several)
Public Const OposEfptrBadItemAmount&   = 14 + Oposerrext ' (Several)
Public Const OposEfptrBadItemDescription& = 15 + Oposerrext ' (Several)
Public Const OposEfptrReceiptTotalOverflow& = 16 + Oposerrext ' (Several)
Public Const OposEfptrBadVat&          = 17 + Oposerrext ' (Several)
Public Const OposEfptrBadPrice&        = 18 + Oposerrext ' (Several)
Public Const OposEfptrBadDate&         = 19 + Oposerrext ' (Several)
Public Const OposEfptrNegativeTotal&   = 20 + Oposerrext ' (Several)
Public Const OposEfptrWordNotAllowed&  = 21 + Oposerrext ' (Several)



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposKbd.h
REM *
REM *   POS Keyboard header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add "EventTypes" and "POSKeyEventType" values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "EventTypes" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const KbdEtDown&                =   1
Public Const KbdEtDownUp&              =   2


REM *///////////////////////////////////////////////////////////////////
REM * "POSKeyEventType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const KbdKetKeydown&            =   1
Public Const KbdKetKeyup&              =   2



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposLock.h
REM *
REM *   Keylock header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "KeyPosition" Property Constants
REM * "WaitForKeylockChange" Method: "KeyPosition" Parameter
REM * "StatusUpdateEvent" Event: "Data" Parameter
REM *///////////////////////////////////////////////////////////////////

Public Const LockKpAny&                = 0             ' WaitForKeylockChange Only
Public Const LockKpLock&               = 1
Public Const LockKpNorm&               = 2
Public Const LockKpSupr&               = 3



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposMicr.h
REM *
REM *   MICR header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CheckType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MicrCtPersonal&           =  1
Public Const MicrCtBusiness&           =  2
Public Const MicrCtUnknown&            = 99


REM *///////////////////////////////////////////////////////////////////
REM * "CountryCode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MicrCcUsa&                =  1
Public Const MicrCcCanada&             =  2
Public Const MicrCcMexico&             =  3
Public Const MicrCcUnknown&            = 99


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for MICR
REM *///////////////////////////////////////////////////////////////////

Public Const OposEmicrNocheck&         = 1 + Oposerrext ' EndInsertion
Public Const OposEmicrCheck&           = 2 + Oposerrext ' EndRemoval



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposMsr.h
REM *
REM *   Magnetic Stripe Reader header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add ErrorReportingType values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "TracksToRead" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MsrTr1&                   = 1
Public Const MsrTr2&                   = 2
Public Const MsrTr3&                   = 4

Public Const MsrTr12&                  = MsrTr1 OR MsrTr2
Public Const MsrTr13&                  = MsrTr1 OR MsrTr3
Public Const MsrTr23&                  = MsrTr2 OR MsrTr3

Public Const MsrTr123&                 = MsrTr1 OR MsrTr2 OR MsrTr3


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorReportingType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MsrErtCard&               = 0
Public Const MsrErtTrack&              = 1


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ResultCodeExtended" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OposEmsrStart&            = 1 + Oposerrext
Public Const OposEmsrEnd&              = 2 + Oposerrext
Public Const OposEmsrParity&           = 3 + Oposerrext
Public Const OposEmsrLrc&              = 4 + Oposerrext



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposPpad.h
REM *
REM *   PIN Pad header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 98-03-06 OPOS Release 1.3                                     JDB
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CapDisplay" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PpadDispUnrestricted&     = 1
Public Const PpadDispPinrestricted&    = 2
Public Const PpadDispRestrictedList&   = 3
Public Const PpadDispRestrictedOrder&  = 4


REM *///////////////////////////////////////////////////////////////////
REM * "AvailablePromptsList" and "Prompt" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PpadMsgEnterpin&          = 1
Public Const PpadMsgPleasewait&        = 2
Public Const PpadMsgEntervalidpin&     = 3
Public Const PpadMsgRetriesexceeded&   = 4
Public Const PpadMsgApproved&          = 5
Public Const PpadMsgDeclined&          = 6
Public Const PpadMsgCanceled&          = 7
Public Const PpadMsgAmountok&          = 8
Public Const PpadMsgNotready&          = 9
Public Const PpadMsgIdle&              = 10
Public Const PpadMsgSlideCard&         = 11
Public Const PpadMsgInsertcard&        = 12
Public Const PpadMsgSelectcardtype&    = 13


REM *///////////////////////////////////////////////////////////////////
REM * "CapLanguage" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PpadLangNone&             = 1
Public Const PpadLangOne&              = 2
Public Const PpadLangPinrestricted&    = 3
Public Const PpadLangUnrestricted&     = 4

REM *///////////////////////////////////////////////////////////////////
REM * "TransactionType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PpadTransDebit&           = 1
Public Const PpadTransCredit&          = 2
Public Const PpadTransInq&             = 3
Public Const PpadTransReconcile&       = 4
Public Const PpadTransAdmin&           = 5


REM *///////////////////////////////////////////////////////////////////
REM * "EndEFTTransaction" Method Completion Code Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PpadEftNormal&            = 1
Public Const PpadEftAbnormal&          = 2


REM *///////////////////////////////////////////////////////////////////
REM * "DataEvent" Event Status Constants
REM *///////////////////////////////////////////////////////////////////
Public Const PpadSuccess&              = 1
Public Const PpadCancel&               = 2



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposPtr.h
REM *
REM *   POS Printer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM *   Add CapCharacterSet values.
REM *   Add ErrorLevel values.
REM *   Add TransactionPrint Control values.
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Remove PTR_RP_NORMAL_ASYNC.
REM *   Add more barcode symbologies.
REM * 98-03-06 OPOS Release 1.3                                     CRM
REM *   Add more PrintTwoNormal constants.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * Printer Station Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrSJournal&              = 1
Public Const PtrSReceipt&              = 2
Public Const PtrSSlip&                 = 4

Public Const PtrSJournalReceipt&       = PtrSJournal OR PtrSReceipt
Public Const PtrSJournalSlip&          = PtrSJournal OR PtrSSlip
Public Const PtrSReceiptSlip&          = PtrSReceipt OR PtrSSlip

Public Const PtrTwoReceiptJournal&     = &H8000 + PtrSJournalReceipt
Public Const PtrTwoSlipJournal&        = &H8000 + PtrSJournalSlip
Public Const PtrTwoSlipReceipt&        = &H8000 + PtrSReceiptSlip


REM *///////////////////////////////////////////////////////////////////
REM * "CapCharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrCcsAlpha&              =   1
Public Const PtrCcsAscii&              = 998
Public Const PtrCcsKana&               =  10
Public Const PtrCcsKanji&              =  11


REM *///////////////////////////////////////////////////////////////////
REM * "CharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrCsAscii&               = 998
Public Const PtrCsWindows&             = 999


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorLevel" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrElNone&                = 1
Public Const PtrElRecoverable&         = 2
Public Const PtrElFatal&               = 3


REM *///////////////////////////////////////////////////////////////////
REM * "MapMode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrMmDots&                = 1
Public Const PtrMmTwips&               = 2
Public Const PtrMmEnglish&             = 3
Public Const PtrMmMetric&              = 4


REM *///////////////////////////////////////////////////////////////////
REM * "CutPaper" Method Constant
REM *///////////////////////////////////////////////////////////////////

Public Const PtrCpFullcut&             = 100


REM *///////////////////////////////////////////////////////////////////
REM * "PrintBarCode" Method Constants:
REM *///////////////////////////////////////////////////////////////////

REM *   "Alignment" Parameter
REM *     Either the distance from the left-most print column to the start
REM *     of the bar code, or one of the following:

Public Const PtrBcLeft&                = -1
Public Const PtrBcCenter&              = -2
Public Const PtrBcRight&               = -3

REM *   "TextPosition" Parameter

Public Const PtrBcTextNone&            = -11
Public Const PtrBcTextAbove&           = -12
Public Const PtrBcTextBelow&           = -13

REM *   "Symbology" Parameter:

REM *     One dimensional symbologies
Public Const PtrBcsUpca&               = 101           ' Digits
Public Const PtrBcsUpce&               = 102           ' Digits
Public Const PtrBcsJan8&               = 103           ' = EAN 8
Public Const PtrBcsEan8&               = 103           ' = JAN 8 (added in 1.2)
Public Const PtrBcsJan13&              = 104           ' = EAN 13
Public Const PtrBcsEan13&              = 104           ' = JAN 13 (added in 1.2)
Public Const PtrBcsTf&                 = 105           ' (Discrete 2 of 5) Digits
Public Const PtrBcsItf&                = 106           ' (Interleaved 2 of 5) Digits
Public Const PtrBcsCodabar&            = 107           ' Digits, -, $, :, /, ., +;
                                                       '   4 start/stop characters
                                                       '   (a, b, c, d)
Public Const PtrBcsCode39&             = 108           ' Alpha, Digits, Space, -, .,
                                                       '   $, /, +, %; start/stop (*)
                                                       ' Also has Full ASCII feature
Public Const PtrBcsCode93&             = 109           ' Same characters as Code 39
Public Const PtrBcsCode128&            = 110           ' 128 data characters
REM *        (The following were added in Release 1.2)
Public Const PtrBcsUpcaS&              = 111           ' UPC-A with supplemental
                                                       '   barcode
Public Const PtrBcsUpceS&              = 112           ' UPC-E with supplemental
                                                       '   barcode
Public Const PtrBcsUpcd1&              = 113           ' UPC-D1
Public Const PtrBcsUpcd2&              = 114           ' UPC-D2
Public Const PtrBcsUpcd3&              = 115           ' UPC-D3
Public Const PtrBcsUpcd4&              = 116           ' UPC-D4
Public Const PtrBcsUpcd5&              = 117           ' UPC-D5
Public Const PtrBcsEan8S&              = 118           ' EAN 8 with supplemental
                                                       '   barcode
Public Const PtrBcsEan13S&             = 119           ' EAN 13 with supplemental
                                                       '   barcode
Public Const PtrBcsEan128&             = 120           ' EAN 128
Public Const PtrBcsOcra&               = 121           ' OCR "A"
Public Const PtrBcsOcrb&               = 122           ' OCR "B"


REM *     Two dimensional symbologies
Public Const PtrBcsPdf417&             = 201
Public Const PtrBcsMaxicode&           = 202

REM *     Start of Printer-Specific bar code symbologies
Public Const PtrBcsOther&              = 501


REM *///////////////////////////////////////////////////////////////////
REM * "PrintBitmap" Method Constants:
REM *///////////////////////////////////////////////////////////////////

REM *   "Width" Parameter
REM *     Either bitmap width or:

Public Const PtrBmAsis&                = -11           ' One pixel per printer dot

REM *   "Alignment" Parameter
REM *     Either the distance from the left-most print column to the start
REM *     of the bitmap, or one of the following:

Public Const PtrBmLeft&                = -1
Public Const PtrBmCenter&              = -2
Public Const PtrBmRight&               = -3


REM *///////////////////////////////////////////////////////////////////
REM * "RotatePrint" Method: "Rotation" Parameter Constants
REM * "RotateSpecial" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrRpNormal&              = &H0001
Public Const PtrRpRight90&             = &H0101
Public Const PtrRpLeft90&              = &H0102
Public Const PtrRpRotate180&           = &H0103


REM *///////////////////////////////////////////////////////////////////
REM * "SetLogo" Method: "Location" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrLTop&                  = 1
Public Const PtrLBottom&               = 2


REM *///////////////////////////////////////////////////////////////////
REM * "TransactionPrint" Method: "Control" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrTpTransaction&         = 11
Public Const PtrTpNormal&              = 12


REM *///////////////////////////////////////////////////////////////////
REM * "StatusUpdateEvent" Event: "Data" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PtrSueCoverOpen&          =   11
Public Const PtrSueCoverOk&            =   12

Public Const PtrSueJrnEmpty&           =   21
Public Const PtrSueJrnNearempty&       =   22
Public Const PtrSueJrnPaperok&         =   23

Public Const PtrSueRecEmpty&           =   24
Public Const PtrSueRecNearempty&       =   25
Public Const PtrSueRecPaperok&         =   26

Public Const PtrSueSlpEmpty&           =   27
Public Const PtrSueSlpNearempty&       =   28
Public Const PtrSueSlpPaperok&         =   29

Public Const PtrSueIdle&               = 1001


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Printer
REM *///////////////////////////////////////////////////////////////////

Public Const OposEptrCoverOpen&        = 1 + Oposerrext ' (Several)
Public Const OposEptrJrnEmpty&         = 2 + Oposerrext ' (Several)
Public Const OposEptrRecEmpty&         = 3 + Oposerrext ' (Several)
Public Const OposEptrSlpEmpty&         = 4 + Oposerrext ' (Several)
Public Const OposEptrSlpForm&          = 5 + Oposerrext ' EndRemoval
Public Const OposEptrToobig&           = 6 + Oposerrext ' PrintBitmap
Public Const OposEptrBadformat&        = 7 + Oposerrext ' PrintBitmap



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposRod.h
REM *
REM *   Remote Order Display header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 98-03-06 OPOS Release 1.3                                     BB
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CurrentUnitID" and "UnitsOnline" Properties
REM *  and "Units" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodUid1&                  = &H00000001
Public Const RodUid2&                  = &H00000002
Public Const RodUid3&                  = &H00000004
Public Const RodUid4&                  = &H00000008
Public Const RodUid5&                  = &H00000010
Public Const RodUid6&                  = &H00000020
Public Const RodUid7&                  = &H00000040
Public Const RodUid8&                  = &H00000080
Public Const RodUid9&                  = &H00000100
Public Const RodUid10&                 = &H00000200
Public Const RodUid11&                 = &H00000400
Public Const RodUid12&                 = &H00000800
Public Const RodUid13&                 = &H00001000
Public Const RodUid14&                 = &H00002000
Public Const RodUid15&                 = &H00004000
Public Const RodUid16&                 = &H00008000
Public Const RodUid17&                 = &H00010000
Public Const RodUid18&                 = &H00020000
Public Const RodUid19&                 = &H00040000
Public Const RodUid20&                 = &H00080000
Public Const RodUid21&                 = &H00100000
Public Const RodUid22&                 = &H00200000
Public Const RodUid23&                 = &H00400000
Public Const RodUid24&                 = &H00800000
Public Const RodUid25&                 = &H01000000
Public Const RodUid26&                 = &H02000000
Public Const RodUid27&                 = &H04000000
Public Const RodUid28&                 = &H08000000
Public Const RodUid29&                 = &H10000000
Public Const RodUid30&                 = &H20000000
Public Const RodUid31&                 = &H40000000
Public Const RodUid32&                 = &H80000000


REM *///////////////////////////////////////////////////////////////////
REM * Broadcast Methods: "Attribute" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodAttrBlink&             = &H80

Public Const RodAttrBgBlack&           = &H00
Public Const RodAttrBgBlue&            = &H10
Public Const RodAttrBgGreen&           = &H20
Public Const RodAttrBgCyan&            = &H30
Public Const RodAttrBgRed&             = &H40
Public Const RodAttrBgMagenta&         = &H50
Public Const RodAttrBgBrown&           = &H60
Public Const RodAttrBgGray&            = &H70

Public Const RodAttrIntensity&         = &H08

Public Const RodAttrFgBlack&           = &H00
Public Const RodAttrFgBlue&            = &H01
Public Const RodAttrFgGreen&           = &H02
Public Const RodAttrFgCyan&            = &H03
Public Const RodAttrFgRed&             = &H04
Public Const RodAttrFgMagenta&         = &H05
Public Const RodAttrFgBrown&           = &H06
Public Const RodAttrFgGray&            = &H07


REM *///////////////////////////////////////////////////////////////////
REM * "DrawBox" Method: "BorderType" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodBdrSingle&             = 1
Public Const RodBdrDouble&             = 2
Public Const RodBdrSolid&              = 3


REM *///////////////////////////////////////////////////////////////////
REM * "ControlClock" Method: "Function" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodClkStart&              = 1
Public Const RodClkPause&              = 2
Public Const RodClkResume&             = 3
Public Const RodClkMove&               = 4
Public Const RodClkStop&               = 5


REM *///////////////////////////////////////////////////////////////////
REM * "ControlCursor" Method: "Function" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodCrsLine&               = 1
Public Const RodCrsLineBlink&          = 2
Public Const RodCrsBlock&              = 3
Public Const RodCrsBlockBlink&         = 4
Public Const RodCrsOff&                = 5


REM *///////////////////////////////////////////////////////////////////
REM * "SelectChararacterSet" Method: "CharacterSet" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodCsAscii&               = 998
Public Const RodCsWindows&             = 999


REM *///////////////////////////////////////////////////////////////////
REM * "TransactionDisplay" Method: "Function" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodTdTransaction&         = 11
Public Const RodTdNormal&              = 12


REM *///////////////////////////////////////////////////////////////////
REM * "UpdateVideoRegionAttribute" Method: "Function" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodUaSet&                 = 1
Public Const RodUaIntensityOn&         = 2
Public Const RodUaIntensityOff&        = 3
Public Const RodUaReverseOn&           = 4
Public Const RodUaReverseOff&          = 5
Public Const RodUaBlinkOn&             = 6
Public Const RodUaBlinkOff&            = 7


REM *///////////////////////////////////////////////////////////////////
REM * "EventTypes" Property and "DataEvent" Event: "Status" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const RodDeTouchUp&             = &H01
Public Const RodDeTouchDown&           = &H02
Public Const RodDeTouchMove&           = &H04


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Remote Order Display
REM *///////////////////////////////////////////////////////////////////

Public Const OposErodBadclk&           = 1 + Oposerrext ' ControlClock
Public Const OposErodNoclocks&         = 2 + Oposerrext ' ControlClock
Public Const OposErodNoregion&         = 3 + Oposerrext ' RestoreVideo
                                                        '   Region
Public Const OposErodNobuffers&        = 4 + Oposerrext ' SaveVideoRegion
Public Const OposErodNoroom&           = 5 + Oposerrext ' SaveVideoRegion



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposScal.h
REM *
REM *   Scale header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "WeightUnit" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const ScalWuGram&               = 1
Public Const ScalWuKilogram&           = 2
Public Const ScalWuOunce&              = 3
Public Const ScalWuPound&              = 4


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Scale
REM *///////////////////////////////////////////////////////////////////

Public Const OposEscalOverweight&      = 1 + Oposerrext ' ReadWeight



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposScan.h
REM *
REM *   Scanner header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add "ScanDataType" values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "ScanDataType" Property Constants
REM *///////////////////////////////////////////////////////////////////

REM * One dimensional symbologies
Public Const ScanSdtUpca&              = 101           ' Digits
Public Const ScanSdtUpce&              = 102           ' Digits
Public Const ScanSdtJan8&              = 103           ' = EAN 8
Public Const ScanSdtEan8&              = 103           ' = JAN 8 (added in 1.2)
Public Const ScanSdtJan13&             = 104           ' = EAN 13
Public Const ScanSdtEan13&             = 104           ' = JAN 13 (added in 1.2)
Public Const ScanSdtTf&                = 105           ' (Discrete 2 of 5) Digits
Public Const ScanSdtItf&               = 106           ' (Interleaved 2 of 5) Digits
Public Const ScanSdtCodabar&           = 107           ' Digits, -, $, :, /, ., +;
                                                       '   4 start/stop characters
                                                       '   (a, b, c, d)
Public Const ScanSdtCode39&            = 108           ' Alpha, Digits, Space, -, .,
                                                       '   $, /, +, %; start/stop (*)
                                                       ' Also has Full ASCII feature
Public Const ScanSdtCode93&            = 109           ' Same characters as Code 39
Public Const ScanSdtCode128&           = 110           ' 128 data characters

Public Const ScanSdtUpcaS&             = 111           ' UPC-A with supplemental
                                                       '   barcode
Public Const ScanSdtUpceS&             = 112           ' UPC-E with supplemental
                                                       '   barcode
Public Const ScanSdtUpcd1&             = 113           ' UPC-D1
Public Const ScanSdtUpcd2&             = 114           ' UPC-D2
Public Const ScanSdtUpcd3&             = 115           ' UPC-D3
Public Const ScanSdtUpcd4&             = 116           ' UPC-D4
Public Const ScanSdtUpcd5&             = 117           ' UPC-D5
Public Const ScanSdtEan8S&             = 118           ' EAN 8 with supplemental
                                                       '   barcode
Public Const ScanSdtEan13S&            = 119           ' EAN 13 with supplemental
                                                       '   barcode
Public Const ScanSdtEan128&            = 120           ' EAN 128
Public Const ScanSdtOcra&              = 121           ' OCR "A"
Public Const ScanSdtOcrb&              = 122           ' OCR "B"

REM * Two dimensional symbologies
Public Const ScanSdtPdf417&            = 201
Public Const ScanSdtMaxicode&          = 202

REM * Special cases
Public Const ScanSdtOther&             = 501           ' Start of Scanner-Specific bar
                                                       '   code symbologies
Public Const ScanSdtUnknown&           =   0           ' Cannot determine the barcode
                                                       '   symbology.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposSig.h
REM *
REM *   Signature Capture header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM * No definitions required for this version.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposTone.h
REM *
REM *   Tone Indicator header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM * No definitions required for this version.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * OposTot.h
REM *
REM *   Hard Totals header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Hard Totals
REM *///////////////////////////////////////////////////////////////////

Public Const OposEtotNoroom&           = 1 + Oposerrext ' Create, Write
Public Const OposEtotValidation&       = 2 + Oposerrext ' Read, Write



REM *End of OPOSALL.BAS*
